export declare type Fetch = typeof fetch;
/**
 * Response format
 *
 */
interface FunctionsResponseSuccess<T> {
    data: T;
    error: null;
}
interface FunctionsResponseFailure {
    data: null;
    error: any;
}
export declare type FunctionsResponse<T> = FunctionsResponseSuccess<T> | FunctionsResponseFailure;
export declare class FunctionsError extends Error {
    context: any;
    constructor(message: string, name?: string, context?: any);
}
export declare class FunctionsFetchError extends FunctionsError {
    constructor(context: any);
}
export declare class FunctionsRelayError extends FunctionsError {
    constructor(context: any);
}
export declare class FunctionsHttpError extends FunctionsError {
    constructor(context: any);
}
export declare type FunctionInvokeOptions = {
    headers?: {
        [key: string]: string;
    };
    body?: File | Blob | ArrayBuffer | FormData | ReadableStream<Uint8Array> | Record<string, any> | string;
};
export {};
//# sourceMappingURL=types.d.ts.map